Body
Revoke Mandate API
Use this API to revoke/cancel an ACTIVE mandate.
Request
Response
API Endpoints
Production Link
POST
https://api.juspay.in/mandates/:mandate_id
Authorization Header
Basic Auth
*
Base64 Encoded Username:Password
Required
Consists of two parts.
Username: API Key obtained from Juspay dashboard
Password: Empty string
Example:-
MUQ2QUZEQzhFQTY0OUU5QTIxQzNFNTQwNkFDMEZCOg==
Headers
x-merchantid
*
string
Required
Merchant ID which would have been issues while registering with Juspay.
Example:-
merchant-id
Parameters
command
string
To be set as revoke, to revoke an existing mandate.
Example:-
revoke
200 : Success
Response Body
mandate_status
string
REVOKED
mandate_id
string
7SucJZ2PCyoGY5vvW8Xa26
400 : Invalid Input data
Response Body
status
string
invalid_request_error
error_message
string
Mandate not found
error_code
string
Mandate not found
401 : Authentication Failed
Response Body
status
string
error
error_code
string
access_denied

